# Ogre::VisibleObjectsBoundsInfo Struct Reference

Structure collecting together information about the visible objects that have been discovered in a scene. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

| VisibleObjectsBoundsInfo ()
void | reset ()
void | merge (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam, bool receiver=true)
void | mergeNonRenderedButInFrustum (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam)
| Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.

## Public Attributes

AxisAlignedBox | aabb
| The axis-aligned bounds of the visible objects.
AxisAlignedBox | receiverAabb
| The axis-aligned bounds of the visible shadow receiver objects.
Real | minDistance
| The closest a visible object is to the camera.
Real | maxDistance
| The farthest a visible objects is from the camera.
Real | minDistanceInFrustum
| The closest a object in the frustum regardless of visibility / shadow caster flags.
Real | maxDistanceInFrustum
| The farthest object in the frustum regardless of visibility / shadow caster flags.

## Detailed Description

Structure collecting together information about the visible objects that have been discovered in a scene.

Definition at line 73 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo | ( |  | ) |

Definition at line 88 of file OgreSceneManager.h.

References reset().

## Member Function Documentation

void Ogre::VisibleObjectsBoundsInfo::reset | ( | void |  | ) |

Definition at line 93 of file OgreSceneManager.h.

References aabb, maxDistance, maxDistanceInFrustum, minDistance, minDistanceInFrustum, receiverAabb, and Ogre::AxisAlignedBox::setNull().

Referenced by VisibleObjectsBoundsInfo().

void Ogre::VisibleObjectsBoundsInfo::merge | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam,
|  | bool | receiver = `true` |
| ) |  |  |

Definition at line 101 of file OgreSceneManager.h.

References aabb, Ogre::Sphere::getCenter(), Ogre::Sphere::getRadius(), Ogre::Camera::getViewMatrix(), Ogre::Vector3::length(), maxDistance, maxDistanceInFrustum, Ogre::AxisAlignedBox::merge(), minDistance, minDistanceInFrustum, and receiverAabb.

void Ogre::VisibleObjectsBoundsInfo::mergeNonRenderedButInFrustum | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam |
| ) |  |  |

Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.

Definition at line 119 of file OgreSceneManager.h.

References Ogre::Sphere::getCenter(), Ogre::Sphere::getRadius(), Ogre::Camera::getViewMatrix(), Ogre::Vector3::length(), maxDistanceInFrustum, and minDistanceInFrustum.

## Member Data Documentation

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::aabb

The axis-aligned bounds of the visible objects.

Definition at line 76 of file OgreSceneManager.h.

Referenced by merge(), and reset().

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::receiverAabb

The axis-aligned bounds of the visible shadow receiver objects.

Definition at line 78 of file OgreSceneManager.h.

Referenced by merge(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::minDistance

The closest a visible object is to the camera.

Definition at line 80 of file OgreSceneManager.h.

Referenced by merge(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::maxDistance

The farthest a visible objects is from the camera.

Definition at line 82 of file OgreSceneManager.h.

Referenced by merge(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::minDistanceInFrustum

The closest a object in the frustum regardless of visibility / shadow caster flags.

Definition at line 84 of file OgreSceneManager.h.

Referenced by merge(), mergeNonRenderedButInFrustum(), and reset().

Real Ogre::VisibleObjectsBoundsInfo::maxDistanceInFrustum

The farthest object in the frustum regardless of visibility / shadow caster flags.

Definition at line 86 of file OgreSceneManager.h.

Referenced by merge(), mergeNonRenderedButInFrustum(), and reset().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:34:47 2009